GTGStack.h File Reference
`#include "GTGList.h"`

Go to the source code of this file.

## Macros

#define | GTG_STACK_INIT(ptr) GTG_LIST_INIT(ptr)
#define | GTG_STACK(ptr) GTG_LIST(ptr)
#define | gtg_stack_entry(ptr, type, member) gtg_list_entry(ptr, type, member)

## Typedefs

typedef struct gtg_list | gtg_stack
typedef gtg_stack * | gtg_stack_t

## Functions

static void | gtg_stack_push (gtg_stack_t lnew, gtg_stack_t p_stack)
static void | gtg_stack_pop (gtg_stack_t p_stack)
static gtg_stack_t | gtg_stack_top (gtg_stack_t p_stack)
static int | gtg_stack_empty (gtg_stack_t p_stack)

## Macro Definition Documentation

## GTG_STACK

#define GTG_STACK | ( |  | ptr | ) | GTG_LIST(ptr)

## gtg_stack_entry

#define gtg_stack_entry | ( |  | ptr,
|  |  | type,
|  |  | member
| ) |  | gtg_list_entry(ptr, type, member)

## GTG_STACK_INIT

#define GTG_STACK_INIT | ( |  | ptr | ) | GTG_LIST_INIT(ptr)

## Typedef Documentation

## gtg_stack

typedef struct gtg_list gtg_stack

## gtg_stack_t

typedef gtg_stack* gtg_stack_t

## Function Documentation

## gtg_stack_empty()

static int gtg_stack_empty | ( | gtg_stack_t | p_stack | ) |

inline static

## gtg_stack_pop()

static void gtg_stack_pop | ( | gtg_stack_t | p_stack | ) |

inline static

## gtg_stack_push()

static void gtg_stack_push | ( | gtg_stack_t | lnew,
|  | gtg_stack_t | p_stack
| ) |  |

inline static

## gtg_stack_top()

static gtg_stack_t gtg_stack_top | ( | gtg_stack_t | p_stack | ) |

inline static